%define	name zziplib
%define	version 0.13.33
%define	release	4mdk

%define	major 0
%define finalname %{name}%{major}

Summary:	ZZipLib - libZ-based ZIP-access Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://zziplib.sf.net
Source:		%{name}-%{version}.tar.bz2
Patch0:		zziplib-0.13.33-gcc4.diff.bz2
Obsoletes:	%{name}
Provides:	%{name} %{name} = %{version}
BuildPreReq:	autoconf2.5 >= 2.54
BuildPreReq:	automake1.7
BuildRequires:	zlib-devel >= 1.1.4
# OE: python and pkgconfig is required for making the docs
BuildRequires:	python >= 2.3
BuildRequires:	pkgconfig
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n	%{finalname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{finalname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n	%{finalname}-devel
Summary:	ZZipLib - Development Files
Group:		Development/Other
Obsoletes:	%{name}-devel
Provides:	%{name}-devel
Requires:	%{finalname} = %{version}-%{release}
Requires:	pkgconfig

%description -n	 %{finalname}-devel
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%prep

%setup -q
%patch0 -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7 --copy --add-missing; autoconf

%configure2_5x \
    --disable-builddir

%make
make doc 

make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std 

make install-man3 DESTDIR=%{buildroot}

%if %mdkversion >= 1020
%multiarch_includes %{buildroot}%{_includedir}/zzip/_config.h
%multiarch_includes %{buildroot}%{_includedir}/zzip/_msvc.h
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{finalname} -p /sbin/ldconfig

%postun -n %{finalname} -p /sbin/ldconfig

%post -n %{finalname}-devel -p /sbin/ldconfig

%postun -n %{finalname}-devel -p /sbin/ldconfig

%files -n %{finalname}
%defattr(-,root,root)
%doc ChangeLog README docs/COPYING*
%{_libdir}/libzzip*-*.so.*

%files -n %{finalname}-devel
%defattr(-,root,root)
%doc docs/README* docs/*.html ChangeLog README TODO 
%{_bindir}/unzzip*
%{_bindir}/zz*
%{_libdir}/libzzip*.la
%{_libdir}/libzzip*.so
%{_libdir}/libzzip*.a
%if %mdkversion >= 1020
%multiarch %{multiarch_includedir}/zzip/_config.h
%multiarch %{multiarch_includedir}/zzip/_msvc.h
%endif
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%{_datadir}/aclocal/*.m4

%changelog
* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.33-4mdk
- added one gcc4 patch (debian)
- run the test suite

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-3mdk
- fix deps and conditional %%multiarch

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-2mdk
- use some libtool magic as it seems to prevent it from building 
  against old installed libs
- fix deps

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-1mdk
- 0.13.33
- merge the static-devel sub package into the devel sub package
- fix deps

* Wed Jul 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.82-1mdk
- 0.12.82

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-5mdk
- rebuild
- removed stupid requires

* Tue May 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-4mdk
- applied spec file fixes by Charles A Edwards

* Mon May 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-3mdk
- rebuild

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-2mdk
- fix requires, provides and changelog date
- misc spec file fixes

* Sat Dec 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.12.23-1mdk
- 0.12.23
- new static-devel sub package 

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.65-2mdk
- rebuilt with gcc-3.2

* Wed Jul 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.65-1mdk
- new version
- misc spec file fixes

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.27-3mdk
- rebuilt with gcc3.1

* Sat Apr 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.27-2mdk
- moved headers to /usr/include/ because php liked it better...

* Wed Apr 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.27-1mdk
- libified the package
- initial cooker contrib
